import { Component, OnInit } from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from '../../../../frame/core/detail/frame.detail';

@Component({
  selector: 'app-video-app-report-std',
  templateUrl: './video-app-report-std.component.html',
  styleUrls: ['./video-app-report-std.component.scss']
})
export class VideoAppReportStdComponent  extends FrameDetailComponent implements OnInit {

  iframeSrc:any;
  flag = true;

  constructor(bsModalRef: BsModalRef) { 
    super(bsModalRef);
  }

  ngOnInit() {
  }
  
  play(v){
   
  }


  // 关闭窗体
	closeWindow() {
		this.bsModalRef.hide();
    }
  
    exportStd() {
      let entity = {
        report_name:'StdRegNoVideoReport',
        report_title :'未录制视频考生汇总表',
        aspect_id :  this.currentEntity.aspect_id
      };
      entity['report_name'] = 'StdRegNoVideoReport';
      //this.ajaxDownload('frame/report/download.htm', entity);
    }

}
